JythonDataSetRegistrationServiceV2 (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, class: JythonDataSetRegistrationServiceV2

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Class JythonDataSetRegistrationServiceV2<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService<T>
ch.systemsx.cisd.etlserver.registrator.api.v2.JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService<T>
ch.systemsx.cisd.etlserver.registrator.api.v2.JythonDataSetRegistrationServiceV2<T>

All Implemented Interfaces:
  `ch.systemsx.cisd.etlserver.registrator.v2.DataSetStorageAlgorithmRunner.IPrePostRegistrationHook<T>`

Direct Known Subclasses:
  `DataSetRegistrationServiceV2`

public class JythonDataSetRegistrationServiceV2<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation> extends JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService<T>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MAIL_CONTACT_ADDRESSES_KEY`

  ### Fields inherited from class ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService

  `dssRegistrationLog, encounteredErrors, transaction, userSessionToken`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JythonDataSetRegistrationServiceV2(ch.systemsx.cisd.etlserver.registrator.v2.AbstractProgrammableTopLevelDataSetHandler<T> registrator, ch.systemsx.cisd.etlserver.registrator.DataSetFile incomingDataSetFile, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull, ch.systemsx.cisd.common.action.IDelegatedActionWithResult<Boolean> globalCleanAfterwardsAction, ch.systemsx.cisd.etlserver.ITopLevelDataSetRegistratorDelegate delegate, ch.systemsx.cisd.common.jython.IJythonInterpreter interpreter, ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState globalState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `commit()`
  Commit any scheduled changes.
  `DataSetRegistrationTransaction<T>`
  `getTransaction()`
  `protected void`
  `logDssRegistrationResult()`
  `void`
  `rollbackAndForgetTransaction()`
  rolls back the existing transaction

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService

  `cleanAfterRegistrationIfNecessary, getInterpreter`

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService

  `abort, createStorageAlgorithm, createStorageAlgorithmWithIdentifiedStrategy, createStorageAlgorithmWithStrategy, createTransaction, didEncounterSecondaryTransactionErrors, didErrorsArise, didRollbackTransaction, executeGlobalCleanAfterwardsAction, executePostCommit, executePostRegistration, executePreRegistration, getDataSetRegistrationDetailsFactory, getDssRegistrationLog, getEncounteredErrors, getEntityRegistrationService, getIncomingDataSetFile, getRegistrator, getRegistratorContext, moveIncomingToError, registerNonFatalError, setUserSessionToken, shouldUsePrestaging, transaction, transaction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAIL_CONTACT_ADDRESSES_KEY

    public static final String MAIL_CONTACT_ADDRESSES_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JythonDataSetRegistrationServiceV2

    public JythonDataSetRegistrationServiceV2(ch.systemsx.cisd.etlserver.registrator.v2.AbstractProgrammableTopLevelDataSetHandler<T> registrator, ch.systemsx.cisd.etlserver.registrator.DataSetFile incomingDataSetFile, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull, ch.systemsx.cisd.common.action.IDelegatedActionWithResult<Boolean> globalCleanAfterwardsAction, ch.systemsx.cisd.etlserver.ITopLevelDataSetRegistratorDelegate delegate, ch.systemsx.cisd.common.jython.IJythonInterpreter interpreter, ch.systemsx.cisd.etlserver.TopLevelDataSetRegistratorGlobalState globalState)

- ## Method Details

  - ### getTransaction

    public DataSetRegistrationTransaction<T> getTransaction()

  - ### rollbackAndForgetTransaction

    public void rollbackAndForgetTransaction()
    rolls back the existing transaction

  - ### commit

    public void commit()
    Commit any scheduled changes.
    Overrides:
      `commit` in class `ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>`

  - ### logDssRegistrationResult

    protected void logDssRegistrationResult()
    Overrides:
      `logDssRegistrationResult` in class `ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>`